PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
scheduling
/
resources
/
{id}
Update a scheduling resource
curl --request PATCH \
  --url https://one-link.kz/api/v1/accounts/{account_id}/scheduling/resources/{id} \
  --header 'Content-Type: application/json' \
  --header 'api_access_token: <api-key>' \
  --data '
{
  "name": "<string>",
  "specialty": "<string>",
  "photo_url": "<string>",
  "description": "<string>",
  "color": "<string>",
  "timezone": "<string>",
  "slot_duration_min": 123,
  "compensation_type": "<string>",
  "compensation_value": 123,
  "active": true,
  "user_id": 123,
  "custom_attributes": {}
}
'
{
  "payload": {
    "id": 123,
    "account_id": 123,
    "user_id": 123,
    "name": "<string>",
    "specialty": "<string>",
    "timezone": "<string>",
    "slot_duration_min": 123,
    "compensation_type": "<string>",
    "compensation_value": 123,
    "active": true,
    "custom_attributes": {}
  }
}

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account

id
integer
required

Body

application/json
name
string
specialty
string
photo_url
string
description
string
color
string
timezone
string
slot_duration_min
integer
compensation_type
string
compensation_value
integer
active
boolean
user_id
integer
custom_attributes
object

Response

Resource updated

payload
object